
DROP VIEW VIEWFTCOMISSAO;

CREATE VIEW VIEWFTCOMISSAO (EMPRESA, UF, MERCADO, ZONAATUACAO, TIPOCLI, CLIENTE, ANOMES, COMISSAO ) AS
SELECT DOCUMENTOR.CODIGOEMP,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       SUPADREP.ADREP_ZONA_ATUA,
       DOCUMENTOR.TIPOEMPRESA,
       DOCUMENTOR.CODIGOEMPRESA,
       CONVERT(CHAR(6),DOCUMENTOR.EMISSAO,112),
       SUM(COMISSAOR.VALORCOMISSAO)
FROM DOCUMENTOR, COMISSAOR, SUPAEMPR, VNDAEMDF, SUPADREP WHERE 
     DOCUMENTOR.MANUAL IS NULL AND      
     DOCUMENTOR.TIPOEMPRESA   = SUPAEMPR.AEMPR_TIPO AND
     DOCUMENTOR.CODIGOEMPRESA = SUPAEMPR.AEMPR_CODIGO AND
     DOCUMENTOR.TIPOEMPRESA   = VNDAEMDF.AEMDF_TIPO AND
     DOCUMENTOR.CODIGOEMPRESA = VNDAEMDF.AEMDF_CODIGO AND
     DOCUMENTOR.TIPOEMPRESA   = SUPADREP.ADREP_TIPO AND
     DOCUMENTOR.CODIGOEMPRESA = SUPADREP.ADREP_CODIGO AND 
     DOCUMENTOR.CODIGOEMP       = COMISSAOR.CODIGOEMP AND
     DOCUMENTOR.CODIGOUNIDADE   = COMISSAOR.CODIGOUNIDADE AND
     DOCUMENTOR.CODIGODOCUMENTO = COMISSAOR.CODIGODOCUMENTO AND
     DOCUMENTOR.SERIE = COMISSAOR.SERIE AND
     DOCUMENTOR.NUMERO = COMISSAOR.NUMERO AND
     EXISTS (SELECT * FROM VNDANFCD, VNDANFDU WHERE
     VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_EMPRESA   = DOCUMENTOR.CODIGOEMP AND
     VNDANFCD.ANFCD_UNIDADE   = DOCUMENTOR.CODIGOUNIDADE AND
     VNDANFCD.ANFCD_NUM_NOTA  = DOCUMENTOR.DOCUMENTOORIGEM AND
     VNDANFCD.ANFCD_EMPRESA   = VNDANFDU.ANFDU_EMPRESA AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFDU.ANFDU_UNIDADE AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFDU.ANFDU_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFDU.ANFDU_NUM_NOTA) 
GROUP BY DOCUMENTOR.CODIGOEMP,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         SUPADREP.ADREP_ZONA_ATUA,
         DOCUMENTOR.TIPOEMPRESA,
         DOCUMENTOR.CODIGOEMPRESA,
         CONVERT(CHAR(6),DOCUMENTOR.EMISSAO,112);

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'DEMOSTRATIVO DE COMISSAO SOBRE VENDAS POR UF/MERCADO/ZONA DE ATUAO/CLIENTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTCOMISSAO';