
DROP VIEW VIEWFTCUSTOSFAT;

CREATE VIEW VIEWFTCUSTOSFAT (EMPRESA, UF, MERCADO, ZONAATUACAO, TIPOCLI, CLIENTE, ANOMES, VALORCUSTO ) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       SUPADREP.ADREP_ZONA_ATUA,
       VNDAEMDF.AEMDF_TIPO,
       VNDAEMDF.AEMDF_CODIGO,
       SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
       SUM( ADMATRNS.ATRNS_VALOR_MAP_01+ADMATRNS.ATRNS_VALOR_MOD_01+

            ADMATRNS.ATRNS_VALOR_CIF_01+ADMATRNS.ATRNS_VALOR_BEN_01+

            ADMATRNS.ATRNS_VALOR_CEP_01+ADMATRNS.ATRNS_VALOR_CEI_01+

            ADMATRNS.ATRNS_VALOR_CGQ_01+ADMATRNS.ATRNS_VALOR_DBD_01)
FROM VNDANFCD,VNDANFLN, VNDANFTR, ADMATRNS, SUPAEMPR, VNDAEMDF, SUPADREP  WHERE 
     VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_EMPRESA   = VNDANFLN.ANFLN_EMPRESA   AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFLN.ANFLN_UNIDADE   AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFLN.ANFLN_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFLN.ANFLN_NUM_NOTA  AND
     VNDANFLN.ANFLN_EMPRESA   = VNDANFTR.ANFTR_EMPRESA   AND
     VNDANFLN.ANFLN_UNIDADE   = VNDANFTR.ANFTR_UNIDADE   AND
     VNDANFLN.ANFLN_TIPO_NOTA = VNDANFTR.ANFTR_TIPO_NOTA AND
     VNDANFLN.ANFLN_NUM_NOTA  = VNDANFTR.ANFTR_NUM_NOTA  AND
     VNDANFLN.ANFLN_LINHA_NOTA = VNDANFTR.ANFTR_LINHA_NOTA  AND
     VNDANFTR.ANFTR_EMPRESA   = ADMATRNS.ATRNS_EMPRESA   AND
     VNDANFTR.ANFTR_UNIDADE   = ADMATRNS.ATRNS_UNIDADE   AND
     VNDANFTR.ANFTR_COD_ITEM  = ADMATRNS.ATRNS_COD_ITEM   AND
     VNDANFTR.ANFTR_DOCUMENTO = ADMATRNS.ATRNS_DOCUMENTO   AND
     VNDANFTR.ANFTR_NUM_DOCUM = ADMATRNS.ATRNS_NUM_DOCUM AND
     VNDANFTR.ANFTR_LOCALIZACAO = ADMATRNS.ATRNS_LOCALIZACAO  AND
     VNDANFTR.ANFTR_LOTE      = ADMATRNS.ATRNS_LOTE  AND
     VNDANFCD.ANFCD_TIPO_EMPR = SUPAEMPR.AEMPR_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     SUPAEMPR.AEMPR_TIPO      = VNDAEMDF.AEMDF_TIPO AND
     SUPAEMPR.AEMPR_CODIGO    = VNDAEMDF.AEMDF_CODIGO AND
     SUPAEMPR.AEMPR_TIPO      = SUPADREP.ADREP_TIPO AND
     SUPAEMPR.AEMPR_CODIGO    = SUPADREP.ADREP_CODIGO 
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         SUPADREP.ADREP_ZONA_ATUA,
         VNDAEMDF.AEMDF_TIPO,
         VNDAEMDF.AEMDF_CODIGO,
         SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6);

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'CUSTO DE SAIDA DO MATERIAL DE FATURAMENTO SOBRE VENDAS POR UF/MERCADO/ZONA DE ATUAO/CLIENTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTCUSTOSFAT';