
DROP VIEW VIEWFTDEMOSTRAFAT;

CREATE VIEW VIEWFTDEMOSTRAFAT (EMPRESA, UF, MERCADO, ROTA, ZONAATUACAO, TIPOCLI, CLIENTE, TIPOREP, REPRESENTANTE, ANOMES, NUMNOTA, VALORV, IPI, ICMS, ISS, PIS, COFINS, DIFAL, SUBTRIB, SUBTRIP, SUBTRIC, COMISSAO, DAS ) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       VNDAEMDF.AEMDF_ROTA_ENTREGA,
       SUPADREP.ADREP_ZONA_ATUA,
       VNDANFCD.ANFCD_TIPO_EMPR,
       VNDANFCD.ANFCD_CLIENTE,
       VNDANFCD.ANFCD_TIPO_REPRE,
       VNDANFCD.ANFCD_REPRE,
       SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
       VNDANFCD.ANFCD_NUM_NOTA,
       VNDANFCD.ANFCD_TOT_DUPL,
       SUM(VNDANFLN.ANFLN_VALOR_IPI),
       SUM(VNDANFLN.ANFLN_VALOR_ICMS),
       SUM(VNDANFLN.ANFLN_VALOR_ISS),
       SUM(VNDANFLN.ANFLN_VALOR_PIS),
       SUM(VNDANFLN.ANFLN_VALOR_COFINS),
       SUM(VNDANFLN.ANFLN_VALOR_DIF),
       SUM(VNDANFLN.ANFLN_VALOR_SUBST),
       SUM(VNDANFLN.ANFLN_VALOR_PISST),
       SUM(VNDANFLN.ANFLN_VALOR_COFST),
       ROUND(SUM((VNDANFLN.ANFLN_VALOR_LINHA)*(VNDANFLN.ANFLN_COMISSAO/100)),2),  
       ROUND(VNDANFCD.ANFCD_TOT_DUPL*(GRLAPVND.PERC_CPMF_NFF/100),2) 
FROM VNDANFLN, VNDANFCD, SUPAEMPR, VNDAEMDF, SUPADREP, GRLAPVND  WHERE 
     VNDANFCD.ANFCD_EMPRESA   = VNDANFLN.ANFLN_EMPRESA   AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFLN.ANFLN_UNIDADE   AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFLN.ANFLN_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFLN.ANFLN_NUM_NOTA  AND
     VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_TIPO_EMPR = SUPAEMPR.AEMPR_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     VNDANFCD.ANFCD_TIPO_EMPR = VNDAEMDF.AEMDF_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = VNDAEMDF.AEMDF_CODIGO AND
     VNDANFCD.ANFCD_TIPO_EMPR = SUPADREP.ADREP_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPADREP.ADREP_CODIGO AND 
     VNDANFCD.ANFCD_EMPRESA   = GRLAPVND.EMPRESA AND
     VNDANFCD.ANFCD_UNIDADE   = GRLAPVND.UNIDADE   
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         VNDAEMDF.AEMDF_ROTA_ENTREGA,
         SUPADREP.ADREP_ZONA_ATUA,
         VNDANFCD.ANFCD_TIPO_EMPR,
         VNDANFCD.ANFCD_CLIENTE,
         VNDANFCD.ANFCD_TIPO_REPRE,
         VNDANFCD.ANFCD_REPRE,
         SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
         VNDANFCD.ANFCD_NUM_NOTA,
         VNDANFCD.ANFCD_TOT_DUPL,
         GRLAPVND.PERC_CPMF_NFF;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'DEMOSTRATIVO DE FATURAMENTO SOBRE VENDAS POR UF/MERCADO/ROTA/ZONA DE ATUAO/REPRESENTANTE DO CLIENTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTDEMOSTRAFAT';


DROP VIEW VIEWFTCOMISSAO;

CREATE VIEW VIEWFTCOMISSAO (EMPRESA, UF, MERCADO, ZONAATUACAO, TIPOCLI, CLIENTE, ANOMES, COMISSAO ) AS
SELECT DOCUMENTOR.CODIGOEMP,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       SUPADREP.ADREP_ZONA_ATUA,
       DOCUMENTOR.TIPOEMPRESA,
       DOCUMENTOR.CODIGOEMPRESA,
       CONVERT(CHAR(6),DOCUMENTOR.EMISSAO,112),
       SUM(COMISSAOR.VALORCOMISSAO)
FROM DOCUMENTOR, COMISSAOR, SUPAEMPR, VNDAEMDF, SUPADREP WHERE 
     DOCUMENTOR.MANUAL IS NULL AND      
     DOCUMENTOR.TIPOEMPRESA   = SUPAEMPR.AEMPR_TIPO AND
     DOCUMENTOR.CODIGOEMPRESA = SUPAEMPR.AEMPR_CODIGO AND
     DOCUMENTOR.TIPOEMPRESA   = VNDAEMDF.AEMDF_TIPO AND
     DOCUMENTOR.CODIGOEMPRESA = VNDAEMDF.AEMDF_CODIGO AND
     DOCUMENTOR.TIPOEMPRESA   = SUPADREP.ADREP_TIPO AND
     DOCUMENTOR.CODIGOEMPRESA = SUPADREP.ADREP_CODIGO AND 
     DOCUMENTOR.CODIGOEMP       = COMISSAOR.CODIGOEMP AND
     DOCUMENTOR.CODIGOUNIDADE   = COMISSAOR.CODIGOUNIDADE AND
     DOCUMENTOR.CODIGODOCUMENTO = COMISSAOR.CODIGODOCUMENTO AND
     DOCUMENTOR.SERIE = COMISSAOR.SERIE AND
     DOCUMENTOR.NUMERO = COMISSAOR.NUMERO AND
     EXISTS (SELECT * FROM VNDANFCD, VNDANFDU WHERE
     VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_EMPRESA   = DOCUMENTOR.CODIGOEMP AND
     VNDANFCD.ANFCD_UNIDADE   = DOCUMENTOR.CODIGOUNIDADE AND
     VNDANFCD.ANFCD_NUM_NOTA  = DOCUMENTOR.DOCUMENTOORIGEM AND
     VNDANFCD.ANFCD_EMPRESA   = VNDANFDU.ANFDU_EMPRESA AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFDU.ANFDU_UNIDADE AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFDU.ANFDU_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFDU.ANFDU_NUM_NOTA) 
GROUP BY DOCUMENTOR.CODIGOEMP,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         SUPADREP.ADREP_ZONA_ATUA,
         DOCUMENTOR.TIPOEMPRESA,
         DOCUMENTOR.CODIGOEMPRESA,
         CONVERT(CHAR(6),DOCUMENTOR.EMISSAO,112);

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'DEMOSTRATIVO DE COMISSAO SOBRE VENDAS POR UF/MERCADO/ZONA DE ATUAO/CLIENTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTCOMISSAO';


DROP VIEW VIEWFTCUSTOSFAT;

CREATE VIEW VIEWFTCUSTOSFAT (EMPRESA, UF, MERCADO, ZONAATUACAO, TIPOCLI, CLIENTE, ANOMES, VALORCUSTO ) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       SUPADREP.ADREP_ZONA_ATUA,
       VNDAEMDF.AEMDF_TIPO,
       VNDAEMDF.AEMDF_CODIGO,
       SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
       SUM( ADMATRNS.ATRNS_VALOR_MAP_01+ADMATRNS.ATRNS_VALOR_MOD_01+

            ADMATRNS.ATRNS_VALOR_CIF_01+ADMATRNS.ATRNS_VALOR_BEN_01+

            ADMATRNS.ATRNS_VALOR_CEP_01+ADMATRNS.ATRNS_VALOR_CEI_01+

            ADMATRNS.ATRNS_VALOR_CGQ_01+ADMATRNS.ATRNS_VALOR_DBD_01)
FROM VNDANFCD,VNDANFLN, VNDANFTR, ADMATRNS, SUPAEMPR, VNDAEMDF, SUPADREP  WHERE 
     VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_EMPRESA   = VNDANFLN.ANFLN_EMPRESA   AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFLN.ANFLN_UNIDADE   AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFLN.ANFLN_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFLN.ANFLN_NUM_NOTA  AND
     VNDANFLN.ANFLN_EMPRESA   = VNDANFTR.ANFTR_EMPRESA   AND
     VNDANFLN.ANFLN_UNIDADE   = VNDANFTR.ANFTR_UNIDADE   AND
     VNDANFLN.ANFLN_TIPO_NOTA = VNDANFTR.ANFTR_TIPO_NOTA AND
     VNDANFLN.ANFLN_NUM_NOTA  = VNDANFTR.ANFTR_NUM_NOTA  AND
     VNDANFLN.ANFLN_LINHA_NOTA = VNDANFTR.ANFTR_LINHA_NOTA  AND
     VNDANFTR.ANFTR_EMPRESA   = ADMATRNS.ATRNS_EMPRESA   AND
     VNDANFTR.ANFTR_UNIDADE   = ADMATRNS.ATRNS_UNIDADE   AND
     VNDANFTR.ANFTR_COD_ITEM  = ADMATRNS.ATRNS_COD_ITEM   AND
     VNDANFTR.ANFTR_DOCUMENTO = ADMATRNS.ATRNS_DOCUMENTO   AND
     VNDANFTR.ANFTR_NUM_DOCUM = ADMATRNS.ATRNS_NUM_DOCUM AND
     VNDANFTR.ANFTR_LOCALIZACAO = ADMATRNS.ATRNS_LOCALIZACAO  AND
     VNDANFTR.ANFTR_LOTE      = ADMATRNS.ATRNS_LOTE  AND
     VNDANFCD.ANFCD_TIPO_EMPR = SUPAEMPR.AEMPR_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     SUPAEMPR.AEMPR_TIPO      = VNDAEMDF.AEMDF_TIPO AND
     SUPAEMPR.AEMPR_CODIGO    = VNDAEMDF.AEMDF_CODIGO AND
     SUPAEMPR.AEMPR_TIPO      = SUPADREP.ADREP_TIPO AND
     SUPAEMPR.AEMPR_CODIGO    = SUPADREP.ADREP_CODIGO 
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         SUPADREP.ADREP_ZONA_ATUA,
         VNDAEMDF.AEMDF_TIPO,
         VNDAEMDF.AEMDF_CODIGO,
         SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6);

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'CUSTO DE SAIDA DO MATERIAL DE FATURAMENTO SOBRE VENDAS POR UF/MERCADO/ZONA DE ATUAO/CLIENTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTCUSTOSFAT';